<?php
/**
 * Plugin Name: Clearfy Lazy load
 * Plugin URI: https://clearfy.pro
 * Description: Plugin lazy load
 * Author: Webcraftic <wordpress.webraftic@gmail.com>
 * Version: 1.0.0
 * Text Domain: lazy-load
 * Domain Path: /languages/
 * Author URI: https://clearfy.pro
 */

// Выход при непосредственном доступе
if( !defined('ABSPATH') ) {
	exit;
}

if( !function_exists('wwll_premium_load') ) {
	function wwll_premium_load()
	{
		if( !class_exists('WCL_Plugin') || !defined('WCL_PLUGIN_ACTIVE') || defined('WCL_PLUGIN_THROW_ERROR') ) {
			return;
		}

		/*if( !WCL_Plugin::app()->isActivateComponent('async_js') ) {
			return;
		}*/

		if( version_compare(WCL_PLUGIN_VERSION, '1.6.4', '<') ) {
			return;
		}

		// Версия плагина
		define('WWLL_PLUGIN_VERSION', '1.0.0');

		// Полная директория плагина
		define('WWLL_PLUGIN_FILE', __FILE__);

		// Директория плагина
		define('WWLL_PLUGIN_DIR', dirname(__FILE__));

		// Относительный путь к плагину
		define('WWLL_PLUGIN_BASE', plugin_basename(__FILE__));

		// Ссылка к директории плагина
		define('WWLL_PLUGIN_URL', plugins_url(null, __FILE__));

		// Global scripts
		// ---------------------------------------------------------

		require(WWLL_PLUGIN_DIR . '/includes/classes/class-configurate-lazy-load.php');
		try {
			new WWLL_Configurate(WCL_Plugin::app());
		} catch( Exception $e ) {
			// nothing
		}

		// Admin scripts
		// ---------------------------------------------------------
		if( is_admin() ) {
			require(WWLL_PLUGIN_DIR . '/admin/boot.php');

			$admin_path = WWLL_PLUGIN_DIR . '/admin/pages';
			WCL_Plugin::app()->registerPage('WWLL_SettingsPage', $admin_path . '/class-pages-settings.php');
		}
	}

	add_action('plugins_loaded', 'wwll_premium_load', 20);
}
